curl --request POST \
--url https://api-prod.blaaiz.com/api/external/swap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_business_wallet_id": "1bc6b6f9-f795-4b78-b8cb-5f4de267c301",
"to_business_wallet_id": "8fbf7dc8-2082-4486-8ef0-44d5bb758a8c",
"amount": 100,
"amount_type": "from"
}
'{
"message": "Money swap successful!",
"business_swap_transaction": {
"id": "d275cd12-e679-43ee-90ce-c8df363624f8",
"business_id": "business_123",
"business_user_id": "business_user_123",
"business_transaction_id": "txn_123456789",
"from_business_wallet_id": "1bc6b6f9-f795-4b78-b8cb-5f4de267c301",
"from_currency": "USD",
"from_currency_id": 2,
"from_amount": 100,
"from_amount_minus_fees": 99,
"to_currency": "NGN",
"to_currency_id": 1,
"to_amount": 160000,
"from_exchange_rate": 1600,
"custom_exchange_rate": null,
"to_business_wallet_id": "8fbf7dc8-2082-4486-8ef0-44d5bb758a8c",
"reference": "swap_ref_001",
"comments": null,
"status": "SUCCESSFUL",
"amount_type": "from",
"created_at": "2026-03-13T09:15:00.000000Z",
"updated_at": "2026-03-13T09:15:00.000000Z"
}
}Swap
Swap money between business wallets
Swap money between two wallets owned by your business. The wallets must exist, belong to the same business, and use different currencies. This endpoint is available only when your business is allowed to perform API-services swaps. Required scope: swap:create.
POST
/
api
/
external
/
swap
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/swap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_business_wallet_id": "1bc6b6f9-f795-4b78-b8cb-5f4de267c301",
"to_business_wallet_id": "8fbf7dc8-2082-4486-8ef0-44d5bb758a8c",
"amount": 100,
"amount_type": "from"
}
'{
"message": "Money swap successful!",
"business_swap_transaction": {
"id": "d275cd12-e679-43ee-90ce-c8df363624f8",
"business_id": "business_123",
"business_user_id": "business_user_123",
"business_transaction_id": "txn_123456789",
"from_business_wallet_id": "1bc6b6f9-f795-4b78-b8cb-5f4de267c301",
"from_currency": "USD",
"from_currency_id": 2,
"from_amount": 100,
"from_amount_minus_fees": 99,
"to_currency": "NGN",
"to_currency_id": 1,
"to_amount": 160000,
"from_exchange_rate": 1600,
"custom_exchange_rate": null,
"to_business_wallet_id": "8fbf7dc8-2082-4486-8ef0-44d5bb758a8c",
"reference": "swap_ref_001",
"comments": null,
"status": "SUCCESSFUL",
"amount_type": "from",
"created_at": "2026-03-13T09:15:00.000000Z",
"updated_at": "2026-03-13T09:15:00.000000Z"
}
}Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Body
application/json
ID of the source business wallet to debit.
ID of the destination business wallet to credit.
Amount to swap. Minimum value is 0.1 and up to 2 decimal places are accepted.
How to interpret the amount. Use from to specify the source-wallet amount, or to to specify the destination-wallet amount. Defaults to from.
Available options:
from, to Was this page helpful?